<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <artifactId>target-platform</artifactId>
  <version>4.8.0-SNAPSHOT</version>
  <packaging>eclipse-target-definition</packaging>

  <parent>
    <groupId>info.textgrid.lab</groupId>
    <artifactId>parent</artifactId>
    <version>3.4.0-SNAPSHOT</version>
    <relativePath>../parent</relativePath>
  </parent>

  <build>
    <plugins>
      <plugin>
        <groupId>org.eclipse.tycho.extras</groupId>
        <artifactId>target-platform-validation-plugin</artifactId>
        <version>${tycho-extras-version}</version>

        <configuration>
          <targetFiles>
            <targetFile>${project.artifactId}.target</targetFile>
          </targetFiles>
          <!-- There is a problem with a new powerpc based platform in the Eclipse SDK :-( -->
          <failOnError>false</failOnError>
        </configuration>

        <executions>
          <execution>
            <id>validate-target-platform</id>
            <goals>
              <goal>validate-target-platform</goal>
            </goals>
            <phase>validate</phase>
          </execution>
        </executions>

      </plugin>
    </plugins>
    <pluginManagement>
    	<plugins>
    		<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
    		<plugin>
    			<groupId>org.eclipse.m2e</groupId>
    			<artifactId>lifecycle-mapping</artifactId>
    			<version>1.0.0</version>
    			<configuration>
    				<lifecycleMappingMetadata>
    					<pluginExecutions>
    						<pluginExecution>
    							<pluginExecutionFilter>
    								<groupId>
    									org.eclipse.tycho.extras
    								</groupId>
    								<artifactId>
    									target-platform-validation-plugin
    								</artifactId>
    								<versionRange>
    									[0.20.0,)
    								</versionRange>
    								<goals>
    									<goal>
    										validate-target-platform
    									</goal>
    								</goals>
    							</pluginExecutionFilter>
    							<action>
    								<ignore></ignore>
    							</action>
    						</pluginExecution>
    					</pluginExecutions>
    				</lifecycleMappingMetadata>
    			</configuration>
    		</plugin>
    	</plugins>
    </pluginManagement>
  </build>

</project>
